package cn.superdesk.uniorder.dao.entity.operationCenter;

import java.math.BigDecimal;
import java.util.Date;

public class OperationCenterOrderTransactionLog {
    private Long id;

    private Byte bizTypeId;

    private String orderGoodsId;

    private String orderSn;

    private String orderId;

    private String bizTransactionNumber;

    private String thirdPartyTransactionNumber;

    private String bizPlatformCode;

    private String bizPlatformName;

    private String orderTypeCode;

    private String orderTypeName;

    private Byte goodsTypeId;

    private String goodsId;

    private String goodsSku;

    private String goodsName;

    private String unit;

    private BigDecimal settlementAmount;

    private Byte integralTypeId;

    private String integralTypeName;

    private String batch;

    private String transactorId;

    private String transactorName;

    private String transactorMobile;

    private String enterpriseId;

    private String enterpriseName;

    private String orgId;

    private String orgName;

    private String operatorId;

    private String operatorName;

    private String supplierId;

    private String supplierName;

    private String bizPayTypeId;

    private String bizPayTypeName;

    private Long platformPayTypeId;

    private String platformPayTypeName;

    private Byte payStatusId;

    private String bizPayChannelId;

    private String bizPayChannelName;

    private BigDecimal transactionFee;

    private Date orderCreateTime;

    private Date tradingTime;

    private Date finishTime;

    private String refundOriginOrderSn;

    private String createUserId;

    private String createUserName;

    private Date createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Byte getBizTypeId() {
        return bizTypeId;
    }

    public void setBizTypeId(Byte bizTypeId) {
        this.bizTypeId = bizTypeId;
    }

    public String getOrderGoodsId() {
        return orderGoodsId;
    }

    public void setOrderGoodsId(String orderGoodsId) {
        this.orderGoodsId = orderGoodsId;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getBizTransactionNumber() {
        return bizTransactionNumber;
    }

    public void setBizTransactionNumber(String bizTransactionNumber) {
        this.bizTransactionNumber = bizTransactionNumber;
    }

    public String getThirdPartyTransactionNumber() {
        return thirdPartyTransactionNumber;
    }

    public void setThirdPartyTransactionNumber(String thirdPartyTransactionNumber) {
        this.thirdPartyTransactionNumber = thirdPartyTransactionNumber;
    }

    public String getBizPlatformCode() {
        return bizPlatformCode;
    }

    public void setBizPlatformCode(String bizPlatformCode) {
        this.bizPlatformCode = bizPlatformCode;
    }

    public String getBizPlatformName() {
        return bizPlatformName;
    }

    public void setBizPlatformName(String bizPlatformName) {
        this.bizPlatformName = bizPlatformName;
    }

    public String getOrderTypeCode() {
        return orderTypeCode;
    }

    public void setOrderTypeCode(String orderTypeCode) {
        this.orderTypeCode = orderTypeCode;
    }

    public String getOrderTypeName() {
        return orderTypeName;
    }

    public void setOrderTypeName(String orderTypeName) {
        this.orderTypeName = orderTypeName;
    }

    public Byte getGoodsTypeId() {
        return goodsTypeId;
    }

    public void setGoodsTypeId(Byte goodsTypeId) {
        this.goodsTypeId = goodsTypeId;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsSku() {
        return goodsSku;
    }

    public void setGoodsSku(String goodsSku) {
        this.goodsSku = goodsSku;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public Byte getIntegralTypeId() {
        return integralTypeId;
    }

    public void setIntegralTypeId(Byte integralTypeId) {
        this.integralTypeId = integralTypeId;
    }

    public String getIntegralTypeName() {
        return integralTypeName;
    }

    public void setIntegralTypeName(String integralTypeName) {
        this.integralTypeName = integralTypeName;
    }

    public String getBatch() {
        return batch;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public String getTransactorId() {
        return transactorId;
    }

    public void setTransactorId(String transactorId) {
        this.transactorId = transactorId;
    }

    public String getTransactorName() {
        return transactorName;
    }

    public void setTransactorName(String transactorName) {
        this.transactorName = transactorName;
    }

    public String getTransactorMobile() {
        return transactorMobile;
    }

    public void setTransactorMobile(String transactorMobile) {
        this.transactorMobile = transactorMobile;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public String getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getBizPayTypeId() {
        return bizPayTypeId;
    }

    public void setBizPayTypeId(String bizPayTypeId) {
        this.bizPayTypeId = bizPayTypeId;
    }

    public String getBizPayTypeName() {
        return bizPayTypeName;
    }

    public void setBizPayTypeName(String bizPayTypeName) {
        this.bizPayTypeName = bizPayTypeName;
    }

    public Long getPlatformPayTypeId() {
        return platformPayTypeId;
    }

    public void setPlatformPayTypeId(Long platformPayTypeId) {
        this.platformPayTypeId = platformPayTypeId;
    }

    public String getPlatformPayTypeName() {
        return platformPayTypeName;
    }

    public void setPlatformPayTypeName(String platformPayTypeName) {
        this.platformPayTypeName = platformPayTypeName;
    }

    public Byte getPayStatusId() {
        return payStatusId;
    }

    public void setPayStatusId(Byte payStatusId) {
        this.payStatusId = payStatusId;
    }

    public String getBizPayChannelId() {
        return bizPayChannelId;
    }

    public void setBizPayChannelId(String bizPayChannelId) {
        this.bizPayChannelId = bizPayChannelId;
    }

    public String getBizPayChannelName() {
        return bizPayChannelName;
    }

    public void setBizPayChannelName(String bizPayChannelName) {
        this.bizPayChannelName = bizPayChannelName;
    }

    public BigDecimal getTransactionFee() {
        return transactionFee;
    }

    public void setTransactionFee(BigDecimal transactionFee) {
        this.transactionFee = transactionFee;
    }

    public Date getOrderCreateTime() {
        return orderCreateTime;
    }

    public void setOrderCreateTime(Date orderCreateTime) {
        this.orderCreateTime = orderCreateTime;
    }

    public Date getTradingTime() {
        return tradingTime;
    }

    public void setTradingTime(Date tradingTime) {
        this.tradingTime = tradingTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public String getRefundOriginOrderSn() {
        return refundOriginOrderSn;
    }

    public void setRefundOriginOrderSn(String refundOriginOrderSn) {
        this.refundOriginOrderSn = refundOriginOrderSn;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}